import pgzrun

TITLE = "Paf l'oiseau"
WIDTH = 400
HEIGHT = 708

vitesse_defilement = 1

def reset():
    print("Retour au départ...")
    titi.vivant = True
    titi.speed = 1
    titi.center = (75, 350)
    tube_superieur.center = (300, 0)
    tube_inferieur.center = (300, tube_superieur.height + ecart)
    
def on_mouse_down():
    print('Clic souris !')
    if (titi.vivant) : 
        titi.speed = -6.5

def update():
    titi.image= "bird1"
    titi.vivant = True
    titi.y += titi.speed
    titi.speed += gravite
    tube_superieur.x -= vitesse_defilement
    tube_inferieur.x -= vitesse_defilement
    if tube_superieur.right < 0 :
        tube_superieur.left = WIDTH
        tube_inferieur.left = WIDTH
    if titi.y > HEIGHT or titi.y < 0:
        reset()

    def hurt_tube():
        print("Paf!")
        titi.image = ("birddead") # appliquer image oiseau mort

    if (titi.colliderect(tube_superieur)) or (titi.colliderect(tube_inferieur)) :
        hurt_tube()
        titi.vivant = False

def draw():
    screen.blit('background', (0, 0))
    titi.draw()
    tube_superieur.draw()
    tube_inferieur.draw()


titi = Actor('bird1')

ecart = 140
tube_superieur = Actor('top')
tube_inferieur = Actor('bottom')

# print(tube_superieur.width, tube_superieur.height)

gravite = 0.3
reset()

pgzrun.go()
